      SUBROUTINE MAP_STEEL_NITR(C,SI,MN,NI,MO,CR,V,F,AL,TI,CO,
     &                          NB,TA,W,ZR,CU)
      DOUBLE PRECISION C,SI,MN,NI,MO,CR,V,F,AL,TI,CO,NB,TA,W,ZR,CU
      DOUBLE PRECISION FF,EAL,EC,ECO,ECR,ECU,EMN,EMO
      DOUBLE PRECISION ENB,ENI,ESI,ETA,ETI,EV,EW,EZR
C
C Interaction coefficients from Lancaster, p.60, Pehlke and Elliott
C
      EAL =  0.0025
      EC  =  0.25
      ECO =  0.011
      ECR = -0.045
      ECU =  0.009
      EMN = -0.02
      EMO = -0.011
      ENB = -0.067
      ENI = -0.01
      ESI =  0.047
      ETA = -0.034
      ETI = -0.53
      EV  = -0.10
      EW  = -0.002
      EZR = -0.63
      FF  =  AL*EAL+C*EC+CO*ECO+CR*ECR+CU*ECU+MN*EMN+MO*EMO+
     &       NB*ENB+NI*ENI+SI*ESI+TA*ETA+TI*ETI+V*EV+W*EW+ZR*EZR
      F = 10.0**FF
      RETURN
      END
